/* 
 * InspectorsController.h
 * 
 * Copyright (c) 2003 Enrico Sersale <enrico@imago.ro>
 *
 * Author: Enrico Sersale <enrico@imago.ro>
 * Date: August 2003
 *
 * This file is part of the GNUstep Position application
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef INSPECTORS_CONTROLLER_H
#define INSPECTORS_CONTROLLER_H

#include <Foundation/Foundation.h>

@class NSMutableArray;
@class WayPoint;

@interface InspectorsController : NSObject
{
  IBOutlet id win;
  IBOutlet id topBox;
  IBOutlet id popUp;
  IBOutlet id inspectorsBox;
  IBOutlet id inspTabView;
  IBOutlet id lowBox;

  IBOutlet id lonLabel;
  IBOutlet id lonField;
  IBOutlet id latLabel;
  IBOutlet id latField;
  IBOutlet id altLabel;
  IBOutlet id altField;
  IBOutlet id unitsLabel;
  IBOutlet id unitsField;
  IBOutlet id distLabel;
  IBOutlet id distField;
  IBOutlet id speedLabel;
  IBOutlet id speedField;
  IBOutlet id destLabel;
  IBOutlet id destField;
  IBOutlet id timeLabel;
  IBOutlet id timeField;

	NSMutableArray *inspectors;
	id currentInspector;
}

- (IBAction)activateInspector:(id)sender;

- (void)setGpsTime:(NSString *)timeStr;

- (void)setLongitude:(float)lon latitude:(float)lat;

- (void)setAltitude:(float)alt;

- (void)setSpeed:(float)speed;

- (void)setDistToTarget:(float)dist;

- (void)showSatellites;

- (void)showNavigation;

- (void)showWayPoints;

- (void)showRoutes;

- (void)updateDefaults;

- (id)myWin;

@end

#endif // INSPECTORS_CONTROLLER_H
