/* 
 * RouteInspector.h
 * 
 * Copyright (c) 2003 Enrico Sersale <enrico@imago.ro>
 *
 * Author: Enrico Sersale <enrico@imago.ro>
 * Date: August 2003
 *
 * This file is part of the GNUstep Position application
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef ROUTE_INSPECTOR_H
#define ROUTE_INSPECTOR_H

#include <Foundation/Foundation.h>
#include "InspectorsProtocol.h"

@class Position;

@interface RouteInspector : NSObject <InspectorsProtocol>
{
  IBOutlet id win;
  IBOutlet id mainBox;
  IBOutlet id routeLabel;
  IBOutlet id pointsLabel;
  IBOutlet id routeScroll;
  IBOutlet id pointsScroll;
  id routeMatrix;
  id pointsMatrix;
  IBOutlet id routeNameField;  
  IBOutlet id delRouteButt;
  IBOutlet id newRouteButt;
  IBOutlet id revRouteButt;
  IBOutlet id follRouteSwtch;
  IBOutlet id delPointButt;
  IBOutlet id newPointButt;
  
  Position *pos;
}

- (IBAction)newRouteAction:(id)sender;

- (IBAction)delRouteAction:(id)sender;

- (IBAction)revRouteAction:(id)sender;

- (IBAction)follRouteAction:(id)sender;

- (void)routeMatrixAction:(id)sender;

- (IBAction)addPointAction:(id)sender;

- (IBAction)delPointAction:(id)sender;

- (void)endFollowRoute:(NSNotification *)notif;

@end

#endif // ROUTE_INSPECTOR_H
