/* 
 * WayPointInspector.h
 * 
 * Copyright (c) 2003 Enrico Sersale <enrico@imago.ro>
 *
 * Author: Enrico Sersale <enrico@imago.ro>
 * Date: August 2003
 *
 * This file is part of the GNUstep Position application
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef WAY_POINT_INSPECTOR_H
#define WAY_POINT_INSPECTOR_H

#include <Foundation/Foundation.h>
#include <AppKit/NSView.h>
#include "InspectorsProtocol.h"

@class NSMatrix;
@class WayPoint;

@interface WayPointInspector : NSObject <InspectorsProtocol>
{
  IBOutlet id win;
  IBOutlet id mainBox;
  IBOutlet id imageView;
  IBOutlet id nameField;
  IBOutlet id infoView;
  IBOutlet id scrollView;
  NSMatrix *matrix;
  IBOutlet id applyButt;
  
  WayPoint *currentPoint;
  id pos;
}

- (void)setWayPoint:(NSNotification *)notif;

- (void)matrixAction:(id)sender;

- (IBAction)applyAction:(id)sender;

@end

#endif // WAY_POINT_INSPECTOR_H
