/* 
 * Map.m
 * 
 * Copyright (c) 2003 Enrico Sersale <enrico@imago.ro>
 *
 * Author: Enrico Sersale <enrico@imago.ro>
 * Date: August 2003
 *
 * This file is part of the GNUstep Position application
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <Foundation/Foundation.h>
#include <AppKit/AppKit.h>
#include "Map.h"
#include "Functions.h"
#include "GNUstep.h"

@implementation Map

- (void)dealloc
{ 
  RELEASE (path);    
  [super dealloc];	
}

- (id)initWithPath:(NSString *)p 
         longitude:(float)lon 
          latitude:(float)lat 
             scale:(long)sc
          isDefMap:(BOOL)defmap
{  
	self = [super init];

  if (self) {
    ASSIGN (path, p);
    isDefaultMap = defmap;
    center = NSMakePoint(lon, lat);
    scale = sc;
  }
    
	return self;
}

- (NSString *)path
{
  return path;
}

- (NSPoint)center
{
  return center;
}

- (float)longitude
{
  return center.x;
}

- (float)latitude
{
  return center.y;
}

- (long)scale
{
  return scale;
}

- (BOOL)isDefaultMap
{
  return isDefaultMap;
}

- (BOOL)canDisplayEarthPoint:(NSPoint)ep
{
  return earthPointFits(ep, center, scale);
}

@end
