/* 
 * MapDownload.h
 * 
 * Copyright (c) 2003 Enrico Sersale <enrico@imago.ro>
 *
 * Author: Enrico Sersale <enrico@imago.ro>
 * Date: August 2003
 *
 * This file is part of the GNUstep Position application
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef MAP_DOWNLOAD_H
#define MAP_DOWNLOAD_H

#include <Foundation/Foundation.h>

@class Position;

@interface MapDownload : NSObject <NSURLHandleClient>
{
  IBOutlet id win;
  IBOutlet id serverLabel;
  IBOutlet id serverField;
  IBOutlet id latLabel;
  IBOutlet id latField;
  IBOutlet id lonLabel;
  IBOutlet id lonField;
  IBOutlet id posExplLabel1;
  IBOutlet id posExplLabel2;
  IBOutlet id scaleLabel;
  IBOutlet id scalePopUp;
  IBOutlet id coversLabel;
  IBOutlet id coversField;
  IBOutlet id fnameLabel;
  IBOutlet id fnameField;
  IBOutlet id progressInd;
  IBOutlet id cancelButt;
  IBOutlet id downloadButt;

  NSString *serverName;
  NSString *formatString;  
  BOOL downloading;
  NSString *tmpPath;
  NSString *mapsDir;
  NSString *fileName;
	int fileIdentifier;
  NSURLHandle *urlHandle;
  NSFileHandle *fileHandle;
  int fileLength;

  NSFileManager *fm;
  Position *pos;
}

- (void)activateWithInfo:(NSDictionary *)info;

- (void)updateCoveredArea;

- (void)updateLongitude:(float)lon latitude:(float)lat;

- (IBAction)setScale:(id)sender;

- (IBAction)startDownload:(id)sender;

- (IBAction)stopDownload:(id)sender;

- (void)unitsDidChange:(NSNotification *)notif;

- (void)updateDefaults;

- (id)myWin;

@end

#endif // MAP_DOWNLOAD_H
