/* 
 * MapImport.h
 * 
 * Copyright (c) 2003 Enrico Sersale <enrico@imago.ro>
 *
 * Author: Enrico Sersale <enrico@imago.ro>
 * Date: August 2003
 *
 * This file is part of the GNUstep Position application
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef MAP_IMPORT_H
#define MAP_IMPORT_H

#include <Foundation/Foundation.h>

@class Position;

@interface MapImport : NSObject
{
  IBOutlet id win;
  IBOutlet id imageView;
  IBOutlet id widthLabel;
  IBOutlet id widthField;
  IBOutlet id heightLabel;
  IBOutlet id heightField;
  IBOutlet id lonLabel;
  IBOutlet id lonField;
  IBOutlet id latLabel;
  IBOutlet id latField;
  IBOutlet id scaleLabel;
  IBOutlet id scaleField;
  IBOutlet id coversLabel;
  IBOutlet id coversField;
  IBOutlet id chooseButt;
  IBOutlet id importButt;
  
  NSString *imagePath;
  int units;
  NSFileManager *fm;
  Position *pos;
}

- (void)activate;

- (void)setFromLocalBehaviour;

- (void)setFromNetBehaviour;

- (void)prepareToImportDownloadedFile:(NSDictionary *)fileInfo;

- (IBAction)choseMapFile:(id)sender;

- (IBAction)saveMapFile:(id)sender;

- (void)unitsDidChange:(NSNotification *)notif;

- (void)updateDefaults;

- (id)myWin;

@end

#endif // MAP_IMPORT_H
