/* 
 * MapView.h
 * 
 * Copyright (c) 2003 Enrico Sersale <enrico@imago.ro>
 *
 * Author: Enrico Sersale <enrico@imago.ro>
 * Date: August 2003
 *
 * This file is part of the GNUstep Position application
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef ICONSVIEWER_H
#define ICONSVIEWER_H

#include <AppKit/NSView.h>

@class NSImage;
@class NSBezierPath;
@class WayPoint;

@interface MapView : NSView 
{
  NSImage *map;
  NSPoint mapCenter;
  long scale;
  NSRect border[4];
  NSPoint scrPoint;
  NSImage *pointImg;  
  NSMutableArray *xpoints;
  NSMutableArray *ypoints;    
  BOOL tracePath;
  NSMutableArray *wayPoints;  
  
  id position;
}

- (BOOL)setMapPath:(NSString *)path 
         mapCenter:(NSPoint)mcenter 
          mapScale:(long)mscale
         wayPoints:(NSArray *)wpoints;

- (void)setCurrentPosition:(NSPoint)pos checkBorders:(BOOL)chkbords;

- (void)setTracePath:(BOOL)value;

- (void)resetTracePath;

- (BOOL)tracePath;

- (void)addWayPoint:(NSDictionary *)wdict;

- (void)removeWayPoint:(WayPoint *)wpoint;

- (WayPoint *)selectedWayPoint;

- (void)unselectOtherPoints:(WayPoint *)wpoint;

- (void)setLabelFrameOfWayPoint:(WayPoint *)wpoint;

@end

#endif // ICONSVIEWER_H

