/* 
 * UnitsAndTuningPref.h
 * 
 * Copyright (c) 2003 Enrico Sersale <enrico@imago.ro>
 *
 * Author: Enrico Sersale <enrico@imago.ro>
 * Date: August 2003
 *
 * This file is part of the GNUstep Position application
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef UNITS_TUNING_PREF_H
#define UNITS_TUNING_PREF_H

#include <Foundation/Foundation.h>
#include "PreferencesProtocol.h"

@class NSMatrix;
@class Position;

@interface UnitsAndTuningPref : NSObject <PreferencesProtocol>
{
  IBOutlet id win;
  IBOutlet id prefbox;  
  
  IBOutlet id tuningBox;
  IBOutlet id lonLabel;
  IBOutlet id lonField;
  IBOutlet id lonStepper;
  IBOutlet id latLabel;
  IBOutlet id latField;
  IBOutlet id latStepper;
  IBOutlet id useTuningCheck;
  
  IBOutlet id unitsBox;
  IBOutlet id unitsMatrix;
  
  Position *pos;
}

- (IBAction)lonStepperAction:(id)sender;

- (IBAction)latStepperAction:(id)sender;

- (IBAction)useTuningAction:(id)sender;

- (IBAction)matrixAction:(id)sender;

@end

#endif // UNITS_TUNING_PREF_H
