 /* 
 * WayPoint.h
 * 
 * Copyright (c) 2003 Enrico Sersale <enrico@imago.ro>
 *
 * Author: Enrico Sersale <enrico@imago.ro>
 * Date: August 2003
 *
 * This file is part of the GNUstep Position application
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef WAY_POINT_H
#define WAY_POINT_H

#include <Foundation/Foundation.h>
#include <AppKit/NSView.h>

@class NSTextField;
@class NSImage;
@class Position;

@interface WayPoint: NSView 
{
  NSString *name;
  NSString *description;
  float longitude;
  float latitude;
  long scale;
  NSImage *icon;
  NSImage *highlight;
  NSString *iconName;
  NSTextField *label;
  BOOL isSelect;
  Position *pos;
}

- (id)initWithDictionary:(NSDictionary *)dict;

- (void)setWaiPointInfo:(NSDictionary *)info;

- (NSString *)iconName;

- (NSString *)name;

- (NSString *)description;

- (float)longitude;

- (float)latitude;

- (long)scale;

- (NSTextField *)label;

- (void)select;

- (void)unselect;

- (BOOL)isSelect;

@end

#endif // WAY_POINT_H
